Subject: Re: [xrblock] Calculation of delay metrics defined in the Delay Block

From: [email-masked]
Date: Mon, 31 Oct 2011 17:03:18 +0800 (CST)

Hi, Qin and Alan:

Thank for your kindly answers. I am clear now.

Best Wishes!

Jing Zhao

Shang Research Institute of China Telecom Corporation Limited.

------------------ 原始邮件 ------------------

发件人：Qin Wu

时　间：2011/10/28 20:47:11 星期五

收件人：Alan Clark

, [email-masked], xrblock

抄送人：

主　题：Re: [xrblock] Calculation of delay metrics defined in the Delay Block

Hi, Alan:

I think you explaination is more precise, thank for your clarification and make correction.

Regards!

-Qin

----- Original Message -----

From:
Alan Clark

To:
Qin Wu ;
[email-masked] ;
xrblock

Sent: Friday, October 28, 2011 7:44 PM

Subject: Re: [xrblock] Calculation of delay metrics defined in the Delay Block

Qin

Strictly speaking, End System Delay is not part of Network Round Trip Delay but is part of the overall round trip delay experienced by the user.

Network Round Trip Delay in this case should be the round trip delay measured using RTP, which includes the network transmission delay in each direction plus some processing time within the IP/UDP/RTP stack.

End System Delay is an estimate of the additional round trip delay that the user would experience due to encoding/decoding/ buffering/ accumulation and may also include other delay components that are external to the RTP segment, if known.

The total round trip delay experienced by the user is the Network Round Trip Delay plus the End System Delay from each end.

Also - it may be better not to describe the End System Delay in terms of Sending side and Receiving side as this may be understood to mean the sending and receiving sides of the connection not the endpoint.

Best Regards

Alan

On 10/28/11 6:10 AM, "Qin Wu" <[email-masked]> wrote:

End System Delay is part of Network Round trip delay(Transmission Delay is another part of Network Round Trip Delay).
The End System Delay is calculate based on sending side internal Delay and receiving side internal Delay.
Sending side internal Delay = Accumulation and Encoding Delay
Reciving Side Internal Delay = Jitter Buffer Delay + Decoding and Playout Buffer Delay.
In my understanding, the End System Delay can be measured using DLSR or DLRR. We can choose mean value of DLSR and DLRR to stand
for the average End System Delay.

Regards!
-Qin

----- Original Message -----

From: [email-masked]

To: xrblock

Sent: Friday, October 28, 2011 4:25 PM

Subject: Re: [xrblock] Calculation of delay metrics defined in the Delay Block

Hi, Qin:

Would you like to explain to me how End System Delay is calculated?

Is it based on DLSR or something else? It looks like a internal calculation.

Regards!

-JingZhao

From: Qin Wu

To: zhaojing at sttri.com.cn

, xrblock

Date: Thu, 20 Oct 2011 18:34:53 +0800

References: <22819783.8901319076443866.JavaMail.root at ent11

List-id: Metric Blocks for use with RTCP's Extended Report Framework working group discussion list

Hi,jing: Please refere to RFC3550.
The round trip time computation method is defined as a example in the figure 2 of RFC3550.

Regards!
-Qin

----- Original Message -----

From:

zhaojing at sttri.com.cn

To:

xrblock

Sent:
Thursday, October 20, 2011 10:07 AM

Subject:
[xrblock] Calculation of delay metrics defined in the Delay Block

Hi,
I have read Delay draft avaiable at:
http://tools.ietf.org/html/draft-ietf-avt-rtcp-xr-delay-02

It is not clear to me how each metric is calculated, For example,
it is said Mean Network Round Trip Delay metric is
ypically determined

using RTCP SR/RR?

I am not sure I understand the rationale? Who would like to explain a little to me?

Regards!

jing Zhao

ShangHai Research Institute of China Telecom Corporation Limited.

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock

Hi,